About iMochaHelpBook a demo
About iMochaHelpBook a demo
  1. Employee
  • Introduction
  • Skills Assessment API
    • API Reference
      • Getting started
      • API Environment
      • Authentication Mechanism
      • Error Code
      • List timezones
    • Test
      • List all tests
      • Retrieve a test
      • Retrieve test settings
      • Update Test Settings
    • Test Invitations
      • Callback notification
      • Invite candidate
      • Invite candidate by test link
      • Bulk Invite
      • Reattempt Test
      • Cancel Invitation
    • Test Link
      • List all test links
      • Create Test Link
      • Update Test Link
    • Report
      • Retrieve candidate test report
      • Retrieve candidate test report in PDF
      • Get Reports By TestId
      • Get All Reports
    • Callback API
      • Process Callbacks
      • Retrieve Invites
    • GDPR
      • GDPR Data Masking Service
    • Users
      • Get all business units
      • Create New User
      • Update User
      • Active/ Inactive User
    • Tara Interview API
      • Introduction
      • Get All Interviews
      • Schedule Interview
      • Get Detailed Report
      • Get All Reports
  • Skills Intelligence API
    • Introduction
    • Authentication
    • Employee
      • List employees
        GET
      • Get Employee Skills by employeeId
        GET
      • Employee Enrollment
        POST
      • Get Employee Certificates
        GET
      • Update Employee Status
        PATCH
      • Get Employee Assessment Report
        GET
      • Upload Certificate for Employee
        POST
      • Upload Resume for Employee
        POST
      • List Employees with Skills Profile
        GET
      • Assign Learning to Employee
        POST
      • Get Employee Skill Gap
        GET
    • JobProfiles
      • Get All JobProfiles
      • Get JobProfile with Skills By JobProfileId
      • Create JobCode
    • Taxonomy
      • Get all Taxonomy Skills
    • CareerPath
      • Get Employee Career Path by employeeId
    • Account
      • Get Rubric Levels
      • Get Multichannel Validation Weightages
    • Learning
      • Create Learning Resources
      • Get all Learning Resources
    • Certificates
      • Create certificate with skills
      • Get all Certificates
  1. Employee

Employee Enrollment

POST
/employees/upsert
This API creates a new employee record or updates an existing one based on the provided identifier (externalEmployeeId and email).
If the employee already exists, their information is updated. If not, a new record is created.

Request

Header Params

Body Params application/json

Examples

Responses

🟢200OK
text/plain
OK
Bodytext/plain

Request Request Example
Shell
JavaScript
Java
Swift
curl --location 'https://api.skillsintelligence.imocha.io/employees/upsert' \
--header 'x-api-key;' \
--header 'Content-Type: application/json' \
--data '[
  {
    "email": "string",
    "firstName": "string",
    "lastName": "string",
    "jobCode": "string",
    "employeeHRMSInfo": {
      "externalEmployeeId": "string",
      "department": "string",
      "location": "string",
      "managerEmail": "string",
      "hireDate": "2025-07-31T05:53:20.004Z",
      "exitDate": "2025-07-31T05:53:20.004Z",
      "employmentType": "string",
      "grade": "string",
      "band": "string",
      "customFieldWithValue": {
        "additionalProp1": "string",
        "additionalProp2": "string",
        "additionalProp3": "string"
      }
    }
  }
]'
Response Response Example
{
    "failed": [
        {
            "email": "string",
            "employeeId": 0,
            "errors": "string"
        }
    ],
    "successful": [
        {
            "email": "string",
            "employeeId": 0,
            "errors": "string"
        }
    ]
}
Modified at 2026-06-19 06:44:15
Previous
Get Employee Skills by employeeId
Next
Get Employee Certificates
Built with